# Rapido Framework

An easy and quick [**Sass**](http://sass-lang.com/) + [**Compass**](http://compass-style.org/) + [**Susy**](http://susy.oddbird.net/) + [**OOCSS**](http://oocss.org/) + [**BEM**](http://csswizardry.com/2013/01/mindbemding-getting-your-head-round-bem-syntax/) prototyping framework.

[![Gem Version](https://badge.fury.io/rb/rapido-css.png)](http://badge.fury.io/rb/rapido-css)
[![Bower version](https://badge.fury.io/bo/rapido.png)](http://badge.fury.io/bo/rapido)
[![Bitdeli Badge](https://d2weczhvl823v0.cloudfront.net/raffone/rapido/trend.png)](https://bitdeli.com/free "Bitdeli Badge")

## Features

* **CSS architecture and styling completely separated**, creating and switching complex themes is much easier
* **Every unused component can be disabled** to slim the final css
* All sizes are in **em** and respect the **vertical rhythm** of the page
* **Super easy responsive layouts** with Susy and custom mixins
* Full support of **automatic sprite generation** (with Compass)
* Full support of **icon fonts** with 8 fonts already included and custom mixin to remove any frictions
* Complete set of **css animations** with custom mixin
* There is a variable for almost everything

## Documentation

A complete documentation of what is currently available can be found here: [Rapido Documentation](http://raffone.github.io/rapido/)

## Credits

* [Compass](https://github.com/chriseppstein/compass)
* [Susy](https://github.com/ericam/susy)
* [HTML5 Boilerplate](https://github.com/h5bp/html5-boilerplate)
* [Inuit.css](https://github.com/csswizardry/inuit.css)


## License

MIT License (MIT)

